Package es.imim.DISGENET.internal.automation

# Class NetworkAutomationImpl

java.lang.Object
es.imim.DISGENET.internal.automation.NetworkAutomationImpl

All Implemented Interfaces:
  `NetworkAutomation`

public class NetworkAutomationImpl extends Object implements NetworkAutomation

## Constructor Summary

Constructors
Constructor
Description
`NetworkAutomationImpl()`

## Method Summary

Modifier and Type
Method
Description
`OperationResult`
`createGeneDiseaseNetwork(GeneDiseaseParams params)`
`OperationResult`
`createGeneEnrichment(GeneEnrichmentParams params)`
`OperationResult`
`createNetwork()`
`OperationResult`
`createVariantDiseaseNetwork(VariantDiseaseParams params)`
`OperationResult`
`createVariantEnrichment(VariantEnrichmentParams params)`
`OperationResult`
`getAppInfo()`
`OperationResult`
`performGeneDiseaseEnrichment(GeneEnrichmentParams params)`
`OperationResult`
`performVariantDiseaseEnrichment(VariantEnrichmentParams params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetworkAutomationImpl

public NetworkAutomationImpl()

## Method Details

### createNetwork

public OperationResult createNetwork()

### createGeneEnrichment

public OperationResult createGeneEnrichment(GeneEnrichmentParams params)

### createVariantEnrichment

public OperationResult createVariantEnrichment(VariantEnrichmentParams params)

### getAppInfo

public OperationResult getAppInfo()

Specified by:
  `getAppInfo` in interface `NetworkAutomation`

### createVariantDiseaseNetwork

public OperationResult createVariantDiseaseNetwork(VariantDiseaseParams params)

Specified by:
  `createVariantDiseaseNetwork` in interface `NetworkAutomation`

### createGeneDiseaseNetwork

public OperationResult createGeneDiseaseNetwork(GeneDiseaseParams params)

Specified by:
  `createGeneDiseaseNetwork` in interface `NetworkAutomation`

### performGeneDiseaseEnrichment

public OperationResult performGeneDiseaseEnrichment(GeneEnrichmentParams params)

Specified by:
  `performGeneDiseaseEnrichment` in interface `NetworkAutomation`

### performVariantDiseaseEnrichment

public OperationResult performVariantDiseaseEnrichment(VariantEnrichmentParams params)

Specified by:
  `performVariantDiseaseEnrichment` in interface `NetworkAutomation`